Subject: [ietf-calsify] draft-norris-ical-venue-01

From: Mark Cockfield <[email-masked]>
Date: Sat, 13 Dec 2008 23:28:37 -0500

Section 5.1 states the UID component [sic] is identical to RFC 2445; however
the examples show a VENUE-ID property. Should it be UID or VENUE-ID?

Regards,

Mark

_______________________________________________
ietf-calsify mailing list
[email-masked]
http://lists.osafoundation.org/mailman/listinfo/ietf-calsify

---

From: Petr Tomasek <[email-masked]>
Date: Sun, 14 Dec 2008 11:52:46 +0100

> the examples show a VENUE-ID property. Should it be UID or VENUE-ID?

BTW, why to define a new component and not just adopt the vCard standard?

P.T.

-- 
Petr Tomasek <http://www.etf.cuni.cz/~tomasek>
Jabber: [email-masked]
SIP: [email-masked]

---

From: Cyrus Daboo <[email-masked]>
Date: Sun, 14 Dec 2008 20:35:50 -0500

Hi Petr,

--On December 14, 2008 11:52:46 AM +0100 Petr Tomasek <[email-masked]> 
wrote:

>> Section 5.1 states the UID component [sic] is identical to RFC 2445;
>> however the examples show a VENUE-ID property. Should it be UID or
>> VENUE-ID?
>>
>> Regards,
>>
>> Mark
>

Actually the VVENUE draft is pretty old and current thinking in CalConnect 
is to actually do what you suggest and opt for VCARD. This makes more sense 
now that the vCard v4.0 effort is underway and they have defined a new KIND 
property that makes it easier to identify a card as being for a venue, or 
something other than a person.

-- 
Cyrus Daboo

---

From: Eliot Lear <[email-masked]>
Date: Mon, 15 Dec 2008 10:03:03 +0100

I think this work predates the VCARD effort.

---

From: Mark Cockfield <[email-masked]>
Date: Mon, 15 Dec 2008 15:12:07 -0500

So does that mean "draft-resnick-vcarddav-vcardrev-01" is the emerging
standard, or current line of reasoning?

This raises a much broader question. How does one who is very new to the
domain of calendaring quickly wrap their mind around it? Does the standards
page on calconnect.org represent the current state of evolution? Where would
one find out that "draft-norris-ical-venue-01" "predates the VCARD effort"?

Forgive me if this post seems a bit rantish...I'm feeling a tad overwhelmed.

Regards,

Mark

Date: Mon, 15 Dec 2008 15:12:07 -0500
From: Mark Cockfield <[email-masked]>
To: Eliot Lear <[email-masked]>, Petr Tomasek <[email-masked]>
Cc: IETF <[email-masked]>
Subject: Re: [ietf-calsify] draft-norris-ical-venue-01

So does that mean "draft-resnick-vcarddav-vcardrev-01" is the emerging
standard, or current line of reasoning?

This raises a much broader question. How does one who is very new to the
domain of calendaring quickly wrap their mind around it? Does the standards
page on calconnect.org represent the current state of evolution? Where would
one find out that "draft-norris-ical-venue-01" "predates the VCARD effort"?

Forgive me if this post seems a bit rantish...I'm feeling a tad overwhelmed.

Regards,

Mark

>> BTW, why to define a new component and not just adopt the vCard standard?

Date: Mon, 15 Dec 2008 10:03:03 +0100
From: Eliot Lear <[email-masked]>
To: Petr Tomasek <[email-masked]>
Cc: [email-masked]
Subject: Re: [ietf-calsify] draft-norris-ical-venue-01

> BTW, why to define a new component and not just adopt the vCard standard?

Date: Sun, 14 Dec 2008 20:35:50 -0500
From: Cyrus Daboo <[email-masked]>
To: Petr Tomasek <[email-masked]>, [email-masked]
Subject: Re: [ietf-calsify] draft-norris-ical-venue-01

Hi Petr,

-- 
Cyrus Daboo

Date: Sun, 14 Dec 2008 08:27:02 -0800
From: Dave Thewlis <[email-masked]>
Organization: The Calendaring and Scheduling Consortium
To: IETF vcarddav list <[email-masked]>,  ietf-caldav list <[email-masked]>, ietf-calendar list <[email-masked]>,  ietf-calsify list <[email-masked]>
Subject: [ietf-calsify] CalConnect Timezone Workshop - Tuesday February 3, 2009
Reply-To: [email-masked]

This is a multi-part message in MIME format.
--------------080408010303080904050705
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 8bit

/This message is being sent to the relevant IETF lists.  My apologies if 
you receive it multiple times, but many people are registered to 
multiple lists.   Dave Thewlis./

CalConnect will host a one-day Timezone Workshop on Tuesday, February 3, 
2009, at Microsoft in Redmond, Washington. This workshop is intended for 
and open by invitation to parties with an interest in Timezones, how 
they are currently implemented and managed, and what to do about them in 
the future. We particularly want to attract representatives of other 
industry and technology areas to gain a broad perspective on the 
problems with Timezones as implemented today, and the relevance of our 
proposed direction. You do not need to be a CalConnect member to attend 
the workshop. Please see Timezone Workshop 
<http://www.calconnect.org/timezoneworkshop.shtml> for more information, 
and to request an invitation to the event.

Dave Thewlis

-- 
*Dave Thewlis, Executive Director
Calconnect - The Calendaring and Scheduling Consortium*
+1 707 840 9391 (voice) · +1 707 498 2238 (mobile)
http://www.calconnect.org · [email-masked] 
<mailto:[email-masked]>

--------------080408010303080904050705
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
</head>
<body bgcolor="#ffffff" text="#000000">
<i>This message is being sent to the relevant IETF lists.&nbsp; My apologies
if you receive it multiple times, but many people are registered to
multiple lists.&nbsp;&nbsp; Dave Thewlis.</i><br>
<br>
CalConnect
will host a one-day Timezone Workshop on Tuesday, February 3, 2009,
at Microsoft in Redmond, Washington. This workshop is intended for and
open by invitation to parties with an interest in Timezones, how they
are currently implemented and managed, and what to do about them in the
future. We particularly want to attract representatives of other
industry and technology areas to gain a broad perspective on the
problems with Timezones as implemented today, and the relevance of our
proposed direction. You do not need to be a CalConnect member to attend
the workshop. Please see <a
 href="http://www.calconnect.org/timezoneworkshop.shtml">Timezone
Workshop</a>
for more information, and to request an invitation to the event.<br>
<br>
Dave Thewlis<br>
<br>
<div class="moz-signature">-- <br>
<font size="-1"><b>Dave Thewlis, Executive Director<br>
Calconnect - The Calendaring and Scheduling Consortium</b><br>
+1 707 840 9391 (voice) &middot; +1 707 498 2238 (mobile)<br>
<a href="http://www.calconnect.org">http://www.calconnect.org</a> &middot; <a
 href="mailto:[email-masked]">[email-masked]</a>
</font></div>
</body>
</html>

--------------080408010303080904050705--

Date: Sun, 14 Dec 2008 08:15:54 -0800
From: Dave Thewlis <[email-masked]>
Organization: The Calendaring and Scheduling Consortium
To: ietf-calsify list <[email-masked]>
Subject: [ietf-calsify] Registration is now open for CalConnect XIV: Roundtable XIV and IOP Test Event, February 2-6, 2009
Reply-To: [email-masked]

This is a multi-part message in MIME format.
--------------070204030105040908090801
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 8bit

/This message is being sent to the relevant IETF lists.  My apologies if 
you receive it multiple times, but many people are registered to 
multiple lists.   Dave Thewlis./

*CalConnect Roundtable XIV and Interoperability Test Event Registration 
is now open*

Registration is now open for CalConnect Roundtable XIV and the 
associated CalConnect Interoperability Test Event, February 2-6, 2009, 
hosted by Microsoft in Redmond, Washington. Logistics information and 
links to the registration pages may be found at 
http://www.calconnect.org/calconnect14.shtml.

The CalConnect Interoperability Test Event will occur from Monday 
morning the 2nd (starting at 08:00) through noon Wednesday the 4th; the 
Roundtable from noon Wednesday the 4th through midafternoon Friday the 
6th. 

Non-members of CalConnect are invited to attend a single Roundtable as 
an observer to determine whether or not joining CalConnect would be of 
benefit to you.  Non-members may also attend a single CalConnect 
Interoperability Test Event as observers, as well.  Information on 
observer status and registration is also linked from the above page.

Registration for both member representatives and observer 
representatives is $350 for the Roundtable through January 15, 2009,  
and $395 thereafter.  Observer registration for the IOP test event is 
also $350.

If you have any questions please contact me, and we hope to see you in 
February.

Best Regards,

Dave Thewlis
-- 
*Dave Thewlis, Executive Director
Calconnect - The Calendaring and Scheduling Consortium*
+1 707 840 9391 (voice) · +1 707 498 2238 (mobile)
http://www.calconnect.org · [email-masked] 
<mailto:[email-masked]>

--------------070204030105040908090801
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
</head>
<body bgcolor="#ffffff" text="#000000">
<i>This message is being sent to the relevant IETF lists.&nbsp; My apologies
if you receive it multiple times, but many people are registered to
multiple lists.&nbsp;&nbsp; Dave Thewlis.</i><br>
<br>
<b>CalConnect Roundtable XIV and Interoperability Test Event
Registration is now open</b><br>
<br>
Registration is now open for CalConnect Roundtable XIV and the
associated CalConnect Interoperability Test
Event, February 2-6, 2009, hosted by Microsoft in Redmond, Washington.
Logistics information and
links to the registration pages may be found at <a
 href="http://www.calconnect.org/calconnect14.shtml">http://www.calconnect.org/calconnect14.shtml</a>.<br>
<br>
The CalConnect Interoperability Test Event will occur from Monday
morning the 2nd (starting at 08:00) through noon
Wednesday the 4th; the Roundtable from noon Wednesday the 4th through
midafternoon Friday the 6th.&nbsp; <br>
<br>
Non-members of CalConnect are invited to attend a single Roundtable as
an observer to determine whether or not joining CalConnect would be of
benefit to you.&nbsp; Non-members may also attend a single CalConnect
Interoperability Test Event as observers, as well.&nbsp; Information on
observer status and registration is also linked from the above page.<br>
<br>
Registration for both member representatives and observer
representatives is $350 for the Roundtable through January 15, 2009,&nbsp;
and
$395 thereafter.&nbsp; Observer registration for the IOP test event is also
$350.<br>
<br>
If you have any questions please contact me, and we hope to see you in
February.<br>
<br>
Best Regards,<br>
<br>
Dave Thewlis<br>
<div class="moz-signature">-- <br>
<font size="-1"><b>Dave Thewlis, Executive Director<br>
Calconnect - The Calendaring and Scheduling Consortium</b><br>
+1 707 840 9391 (voice) &middot; +1 707 498 2238 (mobile)<br>
<a href="http://www.calconnect.org">http://www.calconnect.org</a> &middot; <a
 href="mailto:[email-masked]">[email-masked]</a>
</font></div>
</body>
</html>

--------------070204030105040908090801--

Date: Sun, 14 Dec 2008 11:52:46 +0100
From: Petr Tomasek <[email-masked]>
To: [email-masked]
Subject: Re: [ietf-calsify] draft-norris-ical-venue-01

P.T.

Date: Sat, 13 Dec 2008 23:28:37 -0500
From: Mark Cockfield <[email-masked]>
To: IETF <[email-masked]>
Subject: [ietf-calsify] draft-norris-ical-venue-01

Regards,

Mark

Date: Tue, 09 Dec 2008 12:31:53 -0500
From: Bernard Desruisseaux <[email-masked]>
To: Reinhold Kainhofer <[email-masked]>
Cc: CALSIFY Mailinglist <[email-masked]>
Subject: Re: [ietf-calsify] Double quotes in CN param?

Reinhold Kainhofer wrote:
> Hi all,
> I just realized that currently, the rfc2445bis (and already rfc2445) forbids 
> any double quotes in the cn parameter value:
>
>       cnparam    = "CN" "=" param-value
>       param-value   = paramtext / quoted-string
>       paramtext     = *SAFE-CHAR
>       quoted-string = DQUOTE *QSAFE-CHAR DQUOTE
>       QSAFE-CHAR    = WSP / %x21 / %x23-7E / NON-US-ASCII
>       ; Any character except CONTROL and DQUOTE
>       SAFE-CHAR     = WSP / %x21 / %x23-2B / %x2D-39 / %x3C-7E
>                     / NON-US-ASCII
>       ; Any character except CONTROL, DQUOTE, ";", ":", ","
>
> So, if I read this correctly, the common name to be displayed must not contain 
> any double quotes, not even if they are escaped. 
>
> My problem with this is that some entities use double quotes as part of their 
> official name. For example, our choir has the official Name 
>      Chorvereinigung "Jung-Wien"
> which is officially registered as the association's formal name and is also 
> registered and protected as a trademark. RFC2445 now forbids us to use that as 
> the CN of the Organizer when sending out invitations.... (which is kind of 
> embarassing, because we are very picky when a concert organizer writes our 
> name without the quotes)
>
> Am I interpreting things correctly?
>   
Yes.

This was previously discussed at IETF 65, but never tracked as an issue 
nor addressed.

http://www.ietf.org/proceedings/06mar/slides/calsify-1/sld9.htm

http://tools.ietf.org/wg/calsify/minutes?item=minutes65.html

(03:28:35) rlbob: bd: not possible to handle double-quotes in param 
value, eg RL "Bob"
(03:29:18) rlbob: bd: could propose backslash-escaping, could be compat 
problem
(03:29:39) rlbob: cn: IMAP made this change going from -2 to -4 ...

As a workaround, you could use other DOUBLE QUOTATION MARK supported by 
Unicode, see:

http://www.unicode.org/charts/PDF/U2000.pdf

Cheers,
Bernard
> Cheers,
> Reinhold

From: Reinhold Kainhofer <[email-masked]>
Organization: FAM, Vienna University of Technology
To: CALSIFY Mailinglist <[email-masked]>
Date: Tue, 9 Dec 2008 16:59:32 +0100
Subject: [ietf-calsify] Double quotes in CN param?

Hi all,
I just realized that currently, the rfc2445bis (and already rfc2445) forbids 
any double quotes in the cn parameter value:

      cnparam    = "CN" "=" param-value
      param-value   = paramtext / quoted-string
      paramtext     = *SAFE-CHAR
      quoted-string = DQUOTE *QSAFE-CHAR DQUOTE
      QSAFE-CHAR    = WSP / %x21 / %x23-7E / NON-US-ASCII
      ; Any character except CONTROL and DQUOTE
      SAFE-CHAR     = WSP / %x21 / %x23-2B / %x2D-39 / %x3C-7E
                    / NON-US-ASCII
      ; Any character except CONTROL, DQUOTE, ";", ":", ","

So, if I read this correctly, the common name to be displayed must not contain 
any double quotes, not even if they are escaped. 

My problem with this is that some entities use double quotes as part of their 
official name. For example, our choir has the official Name 
     Chorvereinigung "Jung-Wien"
which is officially registered as the association's formal name and is also 
registered and protected as a trademark. RFC2445 now forbids us to use that as 
the CN of the Organizer when sending out invitations.... (which is kind of 
embarassing, because we are very picky when a concert organizer writes our 
name without the quotes)

Am I interpreting things correctly?

Cheers,
Reinhold
-- 
------------------------------------------------------------------
Reinhold Kainhofer, Vienna University of Technology, Austria
email: [email-masked], http://reinhold.kainhofer.com/
 * Financial and Actuarial Mathematics, TU Wien, http://www.fam.tuwien.ac.at/
 * K Desktop Environment, http://www.kde.org, KOrganizer maintainer
 * Chorvereinigung "Jung-Wien", http://www.jung-wien.at/